/*
 *  Copyright 2017 TWO SIGMA OPEN SOURCE, LLC
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

import { createIndexMenuItems } from './createIndexMenuItems';
import { HeaderMenu } from './HeaderMenu';

export class IndexMenu extends HeaderMenu {
  protected buildMenu(): void {
    this.menu.addClass('bko-header-menu');
    this.menu.addClass('bko-table-menu');
    this.menu.addClass('dropdown');

    this.menu.contentNode.classList.add('dropdown-menu');
    this.menu.contentNode.classList.add('bko-table-menu-content');

    const items = createIndexMenuItems(this.column);

    this.createItems(items, this.menu);
  }
}
