import { Checkbox as BaseCheckbox, CheckboxOptions, FoundationElementTemplate } from '@microsoft/fast-foundation';
import { checkboxStyles as styles } from './checkbox.styles.js';
import { ViewTemplate } from '@microsoft/fast-element';
/**
 * The template for the {@link @microsoft/fast-foundation#(Checkbox:class)} component.
 * @public
 */
export declare const checkboxTemplate: FoundationElementTemplate<ViewTemplate<Checkbox>, CheckboxOptions>;
/**
 * Base class for Checkbox
 * @public
 */
export declare class Checkbox extends BaseCheckbox {
    indeterminateChanged(prev: boolean, next: boolean): void;
}
/**
 * A function that returns a {@link @microsoft/fast-foundation#Checkbox} registration for configuring the component with a DesignSystem.
 * Implements {@link @microsoft/fast-foundation#checkboxTemplate}
 *
 *
 * @public
 * @remarks
 * Generates HTML Element: `<jp-checkbox>`
 */
export declare const jpCheckbox: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<CheckboxOptions> | undefined) => import("@microsoft/fast-foundation").FoundationElementRegistry<CheckboxOptions, import("@microsoft/fast-element").Constructable<import("@microsoft/fast-foundation").FoundationElement>>;
export { styles as checkboxStyles };
