import { DateFieldOptions } from './date-field.js';
import { dateFieldStyles as styles } from './date-field.styles.js';
export * from './date-field.js';
export * from './date-field.template.js';
/**
 * A function that returns a {@link @jupyter/web-components#DateField} registration for configuring the component with a DesignSystem.
 * Implements {@link @jupyter/web-components#dateFieldTemplate}
 *
 *
 * @public
 * @remarks
 * Generates HTML Element: `<jp-date-field>`
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/API/ShadowRoot/delegatesFocus | delegatesFocus}
 */
export declare const jpDateField: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<DateFieldOptions> | undefined) => import("@microsoft/fast-foundation").FoundationElementRegistry<DateFieldOptions, import("@microsoft/fast-element").Constructable<import("@microsoft/fast-foundation").FoundationElement>>;
export { styles as dateFieldStyles };
