import { DesignToken } from '@microsoft/fast-foundation';
import { Direction } from '@microsoft/fast-web-utilities';
import { Palette } from './color/palette.js';
import { Swatch } from './color/swatch.js';
import { InteractiveSwatchSet } from './color/recipe.js';
/** @public @deprecated Use ColorRecipe instead */
export interface Recipe<T> {
    evaluate(element: HTMLElement, reference?: Swatch): T;
}
/** @public */
export interface ColorRecipe {
    evaluate(element: HTMLElement, reference?: Swatch): Swatch;
}
/** @public */
export interface InteractiveColorRecipe {
    evaluate(element: HTMLElement, reference?: Swatch): InteractiveSwatchSet;
}
/** @public */
export declare const bodyFont: import("@microsoft/fast-foundation").CSSDesignToken<string>;
/** @public */
export declare const baseHeightMultiplier: import("@microsoft/fast-foundation").CSSDesignToken<number>;
/** @public */
export declare const baseHorizontalSpacingMultiplier: import("@microsoft/fast-foundation").CSSDesignToken<number>;
/** @public */
export declare const baseLayerLuminance: import("@microsoft/fast-foundation").CSSDesignToken<number>;
/** @public */
export declare const controlCornerRadius: import("@microsoft/fast-foundation").CSSDesignToken<number>;
/** @public */
export declare const density: import("@microsoft/fast-foundation").CSSDesignToken<number>;
/** @public */
export declare const designUnit: import("@microsoft/fast-foundation").CSSDesignToken<number>;
/** @public */
export declare const direction: import("@microsoft/fast-foundation").CSSDesignToken<Direction>;
/** @public */
export declare const disabledOpacity: import("@microsoft/fast-foundation").CSSDesignToken<number>;
/** @public */
export declare const strokeWidth: import("@microsoft/fast-foundation").CSSDesignToken<number>;
/** @public */
export declare const focusStrokeWidth: import("@microsoft/fast-foundation").CSSDesignToken<number>;
/** @public */
export declare const typeRampBaseFontSize: import("@microsoft/fast-foundation").CSSDesignToken<string>;
/** @public */
export declare const typeRampBaseLineHeight: import("@microsoft/fast-foundation").CSSDesignToken<string>;
/** @public */
export declare const typeRampMinus1FontSize: import("@microsoft/fast-foundation").CSSDesignToken<string>;
/** @public */
export declare const typeRampMinus1LineHeight: import("@microsoft/fast-foundation").CSSDesignToken<string>;
/** @public */
export declare const typeRampMinus2FontSize: import("@microsoft/fast-foundation").CSSDesignToken<string>;
/** @public */
export declare const typeRampMinus2LineHeight: import("@microsoft/fast-foundation").CSSDesignToken<string>;
/** @public */
export declare const typeRampPlus1FontSize: import("@microsoft/fast-foundation").CSSDesignToken<string>;
/** @public */
export declare const typeRampPlus1LineHeight: import("@microsoft/fast-foundation").CSSDesignToken<string>;
/** @public */
export declare const typeRampPlus2FontSize: import("@microsoft/fast-foundation").CSSDesignToken<string>;
/** @public */
export declare const typeRampPlus2LineHeight: import("@microsoft/fast-foundation").CSSDesignToken<string>;
/** @public */
export declare const typeRampPlus3FontSize: import("@microsoft/fast-foundation").CSSDesignToken<string>;
/** @public */
export declare const typeRampPlus3LineHeight: import("@microsoft/fast-foundation").CSSDesignToken<string>;
/** @public */
export declare const typeRampPlus4FontSize: import("@microsoft/fast-foundation").CSSDesignToken<string>;
/** @public */
export declare const typeRampPlus4LineHeight: import("@microsoft/fast-foundation").CSSDesignToken<string>;
/** @public */
export declare const typeRampPlus5FontSize: import("@microsoft/fast-foundation").CSSDesignToken<string>;
/** @public */
export declare const typeRampPlus5LineHeight: import("@microsoft/fast-foundation").CSSDesignToken<string>;
/** @public */
export declare const typeRampPlus6FontSize: import("@microsoft/fast-foundation").CSSDesignToken<string>;
/** @public */
export declare const typeRampPlus6LineHeight: import("@microsoft/fast-foundation").CSSDesignToken<string>;
/** @public */
export declare const accentFillRestDelta: DesignToken<number>;
/** @public */
export declare const accentFillHoverDelta: DesignToken<number>;
/** @public */
export declare const accentFillActiveDelta: DesignToken<number>;
/** @public */
export declare const accentFillFocusDelta: DesignToken<number>;
/** @public */
export declare const accentForegroundRestDelta: DesignToken<number>;
/** @public */
export declare const accentForegroundHoverDelta: DesignToken<number>;
/** @public */
export declare const accentForegroundActiveDelta: DesignToken<number>;
/** @public */
export declare const accentForegroundFocusDelta: DesignToken<number>;
/** @public */
export declare const neutralFillRestDelta: DesignToken<number>;
/** @public */
export declare const neutralFillHoverDelta: DesignToken<number>;
/** @public */
export declare const neutralFillActiveDelta: DesignToken<number>;
/** @public */
export declare const neutralFillFocusDelta: DesignToken<number>;
/** @public */
export declare const neutralFillInputRestDelta: DesignToken<number>;
/** @public */
export declare const neutralFillInputHoverDelta: DesignToken<number>;
/** @public */
export declare const neutralFillInputActiveDelta: DesignToken<number>;
/** @public */
export declare const neutralFillInputFocusDelta: DesignToken<number>;
/** @public */
export declare const neutralFillStealthRestDelta: DesignToken<number>;
/** @public */
export declare const neutralFillStealthHoverDelta: DesignToken<number>;
/** @public */
export declare const neutralFillStealthActiveDelta: DesignToken<number>;
/** @public */
export declare const neutralFillStealthFocusDelta: DesignToken<number>;
/** @public */
export declare const neutralFillStrongRestDelta: DesignToken<number>;
/** @public */
export declare const neutralFillStrongHoverDelta: DesignToken<number>;
/** @public */
export declare const neutralFillStrongActiveDelta: DesignToken<number>;
/** @public */
export declare const neutralFillStrongFocusDelta: DesignToken<number>;
/** @public */
export declare const neutralFillLayerRestDelta: DesignToken<number>;
/** @public */
export declare const neutralStrokeRestDelta: DesignToken<number>;
/** @public */
export declare const neutralStrokeHoverDelta: DesignToken<number>;
/** @public */
export declare const neutralStrokeActiveDelta: DesignToken<number>;
/** @public */
export declare const neutralStrokeFocusDelta: DesignToken<number>;
/** @public */
export declare const neutralStrokeDividerRestDelta: DesignToken<number>;
/** @public */
export declare const neutralColor: import("@microsoft/fast-foundation").CSSDesignToken<Swatch>;
/** @public */
export declare const neutralPalette: DesignToken<Palette<Swatch>>;
/** @public */
export declare const accentColor: import("@microsoft/fast-foundation").CSSDesignToken<Swatch>;
/** @public */
export declare const accentPalette: DesignToken<Palette<Swatch>>;
/** @public */
export declare const neutralLayerCardContainerRecipe: DesignToken<ColorRecipe>;
/** @public */
export declare const neutralLayerCardContainer: import("@microsoft/fast-foundation").CSSDesignToken<Swatch>;
/** @public */
export declare const neutralLayerFloatingRecipe: DesignToken<ColorRecipe>;
/** @public */
export declare const neutralLayerFloating: import("@microsoft/fast-foundation").CSSDesignToken<Swatch>;
/** @public */
export declare const neutralLayer1Recipe: DesignToken<ColorRecipe>;
/** @public */
export declare const neutralLayer1: import("@microsoft/fast-foundation").CSSDesignToken<Swatch>;
/** @public */
export declare const neutralLayer2Recipe: DesignToken<ColorRecipe>;
/** @public */
export declare const neutralLayer2: import("@microsoft/fast-foundation").CSSDesignToken<Swatch>;
/** @public */
export declare const neutralLayer3Recipe: DesignToken<ColorRecipe>;
/** @public */
export declare const neutralLayer3: import("@microsoft/fast-foundation").CSSDesignToken<Swatch>;
/** @public */
export declare const neutralLayer4Recipe: DesignToken<ColorRecipe>;
/** @public */
export declare const neutralLayer4: import("@microsoft/fast-foundation").CSSDesignToken<Swatch>;
/** @public */
export declare const fillColor: import("@microsoft/fast-foundation").CSSDesignToken<Swatch>;
/** @public */
export declare const accentFillRecipe: DesignToken<InteractiveColorRecipe>;
/** @public */
export declare const accentFillRest: import("@microsoft/fast-foundation").CSSDesignToken<Swatch>;
/** @public */
export declare const accentFillHover: import("@microsoft/fast-foundation").CSSDesignToken<Swatch>;
/** @public */
export declare const accentFillActive: import("@microsoft/fast-foundation").CSSDesignToken<Swatch>;
/** @public */
export declare const accentFillFocus: import("@microsoft/fast-foundation").CSSDesignToken<Swatch>;
/** @public */
export declare const foregroundOnAccentRecipe: DesignToken<ColorRecipe>;
/** @public */
export declare const foregroundOnAccentRest: import("@microsoft/fast-foundation").CSSDesignToken<Swatch>;
/** @public */
export declare const foregroundOnAccentHover: import("@microsoft/fast-foundation").CSSDesignToken<Swatch>;
/** @public */
export declare const foregroundOnAccentActive: import("@microsoft/fast-foundation").CSSDesignToken<Swatch>;
/** @public */
export declare const foregroundOnAccentFocus: import("@microsoft/fast-foundation").CSSDesignToken<Swatch>;
/** @public */
export declare const foregroundOnAccentLargeRecipe: DesignToken<ColorRecipe>;
/** @public */
export declare const foregroundOnAccentRestLarge: import("@microsoft/fast-foundation").CSSDesignToken<Swatch>;
/** @public */
export declare const foregroundOnAccentHoverLarge: import("@microsoft/fast-foundation").CSSDesignToken<Swatch>;
/** @public */
export declare const foregroundOnAccentActiveLarge: import("@microsoft/fast-foundation").CSSDesignToken<Swatch>;
/** @public */
export declare const foregroundOnAccentFocusLarge: import("@microsoft/fast-foundation").CSSDesignToken<Swatch>;
/** @public */
export declare const accentForegroundRecipe: DesignToken<InteractiveColorRecipe>;
/** @public */
export declare const accentForegroundRest: import("@microsoft/fast-foundation").CSSDesignToken<Swatch>;
/** @public */
export declare const accentForegroundHover: import("@microsoft/fast-foundation").CSSDesignToken<Swatch>;
/** @public */
export declare const accentForegroundActive: import("@microsoft/fast-foundation").CSSDesignToken<Swatch>;
/** @public */
export declare const accentForegroundFocus: import("@microsoft/fast-foundation").CSSDesignToken<Swatch>;
/** @public */
export declare const neutralFillRecipe: DesignToken<InteractiveColorRecipe>;
/** @public */
export declare const neutralFillRest: import("@microsoft/fast-foundation").CSSDesignToken<Swatch>;
/** @public */
export declare const neutralFillHover: import("@microsoft/fast-foundation").CSSDesignToken<Swatch>;
/** @public */
export declare const neutralFillActive: import("@microsoft/fast-foundation").CSSDesignToken<Swatch>;
/** @public */
export declare const neutralFillFocus: import("@microsoft/fast-foundation").CSSDesignToken<Swatch>;
/** @public */
export declare const neutralFillInputRecipe: DesignToken<InteractiveColorRecipe>;
/** @public */
export declare const neutralFillInputRest: import("@microsoft/fast-foundation").CSSDesignToken<Swatch>;
/** @public */
export declare const neutralFillInputHover: import("@microsoft/fast-foundation").CSSDesignToken<Swatch>;
/** @public */
export declare const neutralFillInputActive: import("@microsoft/fast-foundation").CSSDesignToken<Swatch>;
/** @public */
export declare const neutralFillInputFocus: import("@microsoft/fast-foundation").CSSDesignToken<Swatch>;
/** @public */
export declare const neutralFillStealthRecipe: DesignToken<InteractiveColorRecipe>;
/** @public */
export declare const neutralFillStealthRest: import("@microsoft/fast-foundation").CSSDesignToken<Swatch>;
/** @public */
export declare const neutralFillStealthHover: import("@microsoft/fast-foundation").CSSDesignToken<Swatch>;
/** @public */
export declare const neutralFillStealthActive: import("@microsoft/fast-foundation").CSSDesignToken<Swatch>;
/** @public */
export declare const neutralFillStealthFocus: import("@microsoft/fast-foundation").CSSDesignToken<Swatch>;
/** @public */
export declare const neutralFillStrongRecipe: DesignToken<InteractiveColorRecipe>;
/** @public */
export declare const neutralFillStrongRest: import("@microsoft/fast-foundation").CSSDesignToken<Swatch>;
/** @public */
export declare const neutralFillStrongHover: import("@microsoft/fast-foundation").CSSDesignToken<Swatch>;
/** @public */
export declare const neutralFillStrongActive: import("@microsoft/fast-foundation").CSSDesignToken<Swatch>;
/** @public */
export declare const neutralFillStrongFocus: import("@microsoft/fast-foundation").CSSDesignToken<Swatch>;
/** @public */
export declare const neutralFillLayerRecipe: DesignToken<ColorRecipe>;
/** @public */
export declare const neutralFillLayerRest: import("@microsoft/fast-foundation").CSSDesignToken<Swatch>;
/** @public */
export declare const focusStrokeOuterRecipe: DesignToken<ColorRecipe>;
/** @public */
export declare const focusStrokeOuter: import("@microsoft/fast-foundation").CSSDesignToken<Swatch>;
/** @public */
export declare const focusStrokeInnerRecipe: DesignToken<ColorRecipe>;
/** @public */
export declare const focusStrokeInner: import("@microsoft/fast-foundation").CSSDesignToken<Swatch>;
/** @public */
export declare const neutralForegroundHintRecipe: DesignToken<ColorRecipe>;
/** @public */
export declare const neutralForegroundHint: import("@microsoft/fast-foundation").CSSDesignToken<Swatch>;
/** @public */
export declare const neutralForegroundRecipe: DesignToken<ColorRecipe>;
/** @public */
export declare const neutralForegroundRest: import("@microsoft/fast-foundation").CSSDesignToken<Swatch>;
/** @public */
export declare const neutralStrokeRecipe: DesignToken<InteractiveColorRecipe>;
/** @public */
export declare const neutralStrokeRest: import("@microsoft/fast-foundation").CSSDesignToken<Swatch>;
/** @public */
export declare const neutralStrokeHover: import("@microsoft/fast-foundation").CSSDesignToken<Swatch>;
/** @public */
export declare const neutralStrokeActive: import("@microsoft/fast-foundation").CSSDesignToken<Swatch>;
/** @public */
export declare const neutralStrokeFocus: import("@microsoft/fast-foundation").CSSDesignToken<Swatch>;
/** @public */
export declare const neutralStrokeDividerRecipe: DesignToken<ColorRecipe>;
/** @public */
export declare const neutralStrokeDividerRest: import("@microsoft/fast-foundation").CSSDesignToken<Swatch>;
/**
 * The control height formula expressed as a design token.
 * This token does not provide a CSS custom property.
 *
 * @public
 */
export declare const heightNumberAsToken: DesignToken<number>;
/** @public */
export declare const errorColor: import("@microsoft/fast-foundation").CSSDesignToken<Swatch>;
/**
 * Error palette
 * @public
 */
export declare const errorPalette: DesignToken<Palette<Swatch>>;
/** @public */
export declare const errorFillRecipe: DesignToken<InteractiveColorRecipe>;
/** @public */
export declare const errorFillRest: import("@microsoft/fast-foundation").CSSDesignToken<Swatch>;
/** @public */
export declare const errorFillHover: import("@microsoft/fast-foundation").CSSDesignToken<Swatch>;
/** @public */
export declare const errorFillActive: import("@microsoft/fast-foundation").CSSDesignToken<Swatch>;
/** @public */
export declare const errorFillFocus: import("@microsoft/fast-foundation").CSSDesignToken<Swatch>;
/** @public */
export declare const foregroundOnErrorRecipe: DesignToken<ColorRecipe>;
/** @public */
export declare const foregroundOnErrorRest: import("@microsoft/fast-foundation").CSSDesignToken<Swatch>;
/** @public */
export declare const foregroundOnErrorHover: import("@microsoft/fast-foundation").CSSDesignToken<Swatch>;
/** @public */
export declare const foregroundOnErrorActive: import("@microsoft/fast-foundation").CSSDesignToken<Swatch>;
/** @public */
export declare const foregroundOnErrorFocus: import("@microsoft/fast-foundation").CSSDesignToken<Swatch>;
/** @public */
export declare const foregroundOnErrorLargeRecipe: DesignToken<ColorRecipe>;
/** @public */
export declare const foregroundOnErrorRestLarge: import("@microsoft/fast-foundation").CSSDesignToken<Swatch>;
/** @public */
export declare const foregroundOnErrorHoverLarge: import("@microsoft/fast-foundation").CSSDesignToken<Swatch>;
/** @public */
export declare const foregroundOnErrorActiveLarge: import("@microsoft/fast-foundation").CSSDesignToken<Swatch>;
/** @public */
export declare const foregroundOnErrorFocusLarge: import("@microsoft/fast-foundation").CSSDesignToken<Swatch>;
/** @public */
export declare const errorForegroundRecipe: DesignToken<InteractiveColorRecipe>;
/** @public */
export declare const errorForegroundRest: import("@microsoft/fast-foundation").CSSDesignToken<Swatch>;
/** @public */
export declare const errorForegroundHover: import("@microsoft/fast-foundation").CSSDesignToken<Swatch>;
/** @public */
export declare const errorForegroundActive: import("@microsoft/fast-foundation").CSSDesignToken<Swatch>;
/** @public */
export declare const errorForegroundFocus: import("@microsoft/fast-foundation").CSSDesignToken<Swatch>;
