import { AvatarOptions, Avatar as FoundationAvatar } from '@microsoft/fast-foundation';
import { avatarStyles as styles } from './avatar.styles.js';
/**
 * The Jupyter Avatar Class
 * @public
 *
 */
export declare class Avatar extends FoundationAvatar {
    /**
     * Indicates the Avatar should have an image source
     *
     * @public
     * @remarks
     * HTML Attribute: src
     */
    imgSrc: string | undefined;
    /**
     * Indicates the Avatar should have alt text
     *
     * @public
     * @remarks
     * HTML Attribute: alt
     */
    alt: string | undefined;
}
/**
 * The Jupyter Avatar Template for Images
 *  @public
 *
 */
export declare const imgTemplate: import("@microsoft/fast-element").ViewTemplate<Avatar, any>;
/**
 * A function that returns a {@link @microsoft/fast-foundation#Avatar} registration for configuring the component with a DesignSystem.
 *  {@link @microsoft/fast-foundation#avatarTemplate}
 *
 *
 * @public
 * @remarks
 * Generates HTML Element: `<jp-avatar>`
 */
export declare const jpAvatar: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<AvatarOptions> | undefined) => import("@microsoft/fast-foundation").FoundationElementRegistry<AvatarOptions, import("@microsoft/fast-element").Constructable<import("@microsoft/fast-foundation").FoundationElement>>;
export { styles as avatarStyles };
