import { SwatchRGB } from '../swatch.js';
export declare function baseLayerLuminanceSwatch(luminance: number): SwatchRGB;
/**
 * Recommended values for light and dark mode for {@link @microsoft/fast-components#baseLayerLuminance}.
 *
 * @public
 */
export declare const StandardLuminance: {
    readonly LightMode: 1;
    readonly DarkMode: 0.23;
};
/**
 * Types of recommended values for light and dark mode for {@link @microsoft/fast-components#baseLayerLuminance}.
 *
 * @public
 */
export type StandardLuminance = (typeof StandardLuminance)[keyof typeof StandardLuminance];
