import { Menu as FoundationMenu } from '@microsoft/fast-foundation';
import { menuStyles as styles } from './menu.styles.js';
/**
 * @public
 */
export declare class Menu extends FoundationMenu {
    /**
     * @internal
     */
    connectedCallback(): void;
}
/**
 * A function that returns a {@link @microsoft/fast-foundation#Menu} registration for configuring the component with a DesignSystem.
 * Implements {@link @microsoft/fast-foundation#menuTemplate}
 *
 *
 * @public
 * @remarks
 * Generates HTML Element: `<jp-menu>`
 */
export declare const jpMenu: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
    baseName: string;
    template: import("@microsoft/fast-foundation").FoundationElementTemplate<import("@microsoft/fast-element").ViewTemplate<FoundationMenu, any>, import("@microsoft/fast-foundation").FoundationElementDefinition>;
    styles: import("@microsoft/fast-foundation").FoundationElementTemplate<import("@microsoft/fast-element").ElementStyles>;
}> | undefined) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
    baseName: string;
    template: import("@microsoft/fast-foundation").FoundationElementTemplate<import("@microsoft/fast-element").ViewTemplate<FoundationMenu, any>, import("@microsoft/fast-foundation").FoundationElementDefinition>;
    styles: import("@microsoft/fast-foundation").FoundationElementTemplate<import("@microsoft/fast-element").ElementStyles>;
}, typeof Menu>;
export { styles as menuStyles };
