import { Switch as BaseSwitch, SwitchOptions } from '@microsoft/fast-foundation';
import { switchStyles as styles } from './switch.styles.js';
/**
 * Base class for Switch
 * @public
 */
export declare class Switch extends BaseSwitch {
}
/**
 * A function that returns a {@link @microsoft/fast-foundation#Switch} registration for configuring the component with a DesignSystem.
 * Implements {@link @microsoft/fast-foundation#switchTemplate}
 *
 *
 * @public
 * @remarks
 * Generates HTML Element: `<jp-switch>`
 */
export declare const jpSwitch: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<SwitchOptions> | undefined) => import("@microsoft/fast-foundation").FoundationElementRegistry<SwitchOptions, import("@microsoft/fast-element").Constructable<import("@microsoft/fast-foundation").FoundationElement>>;
export { styles as switchStyles };
